/******************************************************************************
*									      *
*	File:     defines.h						      *
*	Author:   Alison Chaiken					      *
*	Created:  Tue Jun  2 20:42:48 EDT 1987				      *
*	Contents: Macro definitions for hc2.c and its subroutines.            *
*									      *
*	Copyright (c) 1987 Alison Chaiken.				      *
*	All rights reserved.						      *
*									      *
*	$Log:	defines.h,v $
 * Revision 1.1  88/09/06  13:57:46  alison
 * Initial revision
 * 								      *
******************************************************************************/

#define MAXLINE 129
#define ARRAYSIZE 200
#define NUMPARAMS 8
#define PI 3.1415926535
#define MAXLOOP 1000
#define FACTOR 1.8959929e4
#define squared(x) ((x)*(x))
#define plural(x) (((x)==1)?"":"s")     
/* value of FACTOR is explained inside hcfunc.c */
