/******************************************************************************
*									      *
*	File:     fatal.c						      *
*	Author:   Wolfgang Rupprecht       				      *
*	Created:  Mon May 18 23:13:36 EDT 1987				      *
*	Contents:  looks  just like  printf() on invocation ...		      *
*	only no character  constant  is needed  at the   end of		      *
*	string constant expressions.   	(eg. fatal ("no way ray		      *
*	%s,   this is  the    %d   time   you did   this    !",		      *
*	"dummy", n_other_errors);)					      *
*									      *
*	Copyright (c) 1987 Alison Chaiken.				      *
*	All rights reserved.						      *
*									      *
*	$Log:	fatal.c,v $
 * Revision 1.2  88/09/12  14:56:45  alison
 * Changed some data types for compatibility with sun OS.
 * 
 * Revision 1.1  88/03/24  21:18:17  alison
 * Initial revision
 * 
 * Revision 1.1  88/03/24  20:43:29  alison
 * Initial revision
 * 								      *
******************************************************************************/

#include	<stdio.h>

/*VARARGS1*/

extern void exit();

void fatal(fmt, args)
char *fmt;
int args;
{
#ifdef sun
     unsigned char localbuf[BUFSIZ];
#else
     char localbuf[BUFSIZ];
#endif

	if (stderr->_flag & _IONBF) { /* make a buffer if we don't have one */
		stderr->_flag &= ~_IONBF;
		stderr->_ptr = stderr->_base = localbuf;
		stderr->_bufsiz = BUFSIZ;
	   }

	_doprnt(fmt, &args, stderr);
	fputc('\n', stderr);
	fflush(stderr);
	exit (-1);
}

