/******************************************************************************
*									      *
*	File:     fgets_com.c						      *
*	Author:   Wolfgang Rupprecht                                          *
*	Created:  Thu Apr 16 22:45:47 EST 1987				      *
*	Contents: fgets with a comment char.  Current comment char is #.      *
*									      *
*	Copyright (c) 1987 Wolfgang Rupprecht                                 *
*	All rights reserved.						      *
*									      *
*	$Log:	fgets_com.c,v $
 * Revision 1.1  88/03/24  21:18:18  alison
 * Initial revision
 * 
 * Revision 1.1  88/03/23  22:33:49  alison
 * Initial revision
 * 								      *
******************************************************************************/


#include	<stdio.h>

#define COMMENTCHAR '#'

char           *
fgets_com(s, n, iop)
	char           *s;
        int n;
	register FILE  *iop;
{
	char           *retval,
	               *cp,
	               *index();

	retval = fgets(s, n, iop);
	if ((retval != NULL) && (cp = index(s, COMMENTCHAR)))
	{
	     if ((1 + cp - s) < n)
		  *cp++ = '\n';
	     if (n > 0)
		  *cp = NULL;
	}
	return (retval);
}
