/******************************************************************************
*									      *
*	File:     whiteline.c						      *
*	Author:   Wolfgang Rupprecht					      *
*	Created:  Wed May 27 12:16:45 EDT 1987				      *
*	Contents: a function which returns 1 if a string contains only        *
*                 spaces, tabs, and newlines, and 0 otherwise.                *
*									      *
*	Copyright (c) 1987 Alison Chaiken.				      *
*	All rights reserved.						      *
*									      *
*	$Log:	whiteline.c,v $
 * Revision 1.1  88/03/24  21:18:18  alison
 * Initial revision
 * 
 * Revision 1.1  88/03/23  22:34:40  alison
 * Initial revision
 * 								      *
******************************************************************************/

#include <ctype.h>
#include <stdio.h>

int
whiteline(cp)
	register char  *cp;
{
	for (; *cp != NULL; cp++)
	{
		if (!isspace(*cp))
			return (0);
	}
	return (1);
}
