/******************************************************************************
*									      *
*	File:     paramsdef.h						      *
*	Author:   Alison Chaiken					      *
*	Created:  Fri May 22 13:45:20 EDT 1987				      *
*	Contents: structure definition to be included with programs called    *
*                 by hc2.c.                                                   *
*									      *
*	Copyright (c) 1987 Alison Chaiken.				      *
*	All rights reserved.						      *
*									      *
*	$Log:	paramsdef.h,v $
 * Revision 1.1  88/09/06  13:57:48  alison
 * Initial revision
 * 								      *
******************************************************************************/

#define NUMPARAMS 8
#define ARRAYSIZE 200

struct paramslist
{
	int             pairb;
	int             mode;
	double          slope;
	double          slambda;
	double          alpha;
	double          pp0new;
	double          pp1new;
	double          tc;
	double          thick;
	int             npts;
	int             nfree; /* number of degrees of freedom in fit */
	/*
	 * pairb and mode are flags, and hence are not incremented!  npts is
	 * Not incremented either. 
	 */
};

struct arrayset{
	double          delta[NUMPARAMS];
	double          t[ARRAYSIZE];
	double          h[ARRAYSIZE];
	double          fit[ARRAYSIZE];
	double          sigmay[ARRAYSIZE];
};

